#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=ningjin1.33_base.ps
projection=-JM16.0c+
region=-R114.3/116.0/36.7/38.4
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map ningjin1.33' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    37.378   114.980
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    37.484   115.048
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    37.590   115.124
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    37.499   114.924
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    37.677   115.153
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    37.720   115.045
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    37.436   114.918
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    37.275   114.795
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    37.899   115.240
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    37.787   115.191
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    37.768   115.375
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    37.266   114.824
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    37.232   114.886
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    37.388   114.777
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    36.901   114.534
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    37.258   114.858
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    37.554   115.036
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    37.639   115.176
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    37.504   114.967
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    37.536   114.412
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    37.423   114.959
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    37.485   114.963
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    37.412   114.940
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    37.402   114.955
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    37.424   114.988
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    37.511   115.044
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    37.590   114.863
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    37.355   114.929
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    37.233   114.799
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    37.355   114.964
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    37.778   115.255
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    37.685   115.347
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    37.799   115.251
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    37.288   114.808
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    37.520   115.016
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    37.473   114.997
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    37.918   115.110
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    37.292   114.853
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    37.936   115.111
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    38.301   115.887
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    37.243   114.650
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    37.550   114.755
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    37.918   115.112
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    37.391   114.398
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    36.754   114.584
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    38.319   115.845
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    37.605   115.010
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    37.413   114.641
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    37.326   114.867
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    37.619   115.150
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    37.614   115.158
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    37.352   114.905
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    37.478   114.994
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    37.635   115.100
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    37.461   115.198
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.376   114.981
    37.378   114.980
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.170   114.838
    37.378   114.980
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.491   115.071
    37.484   115.048
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.504   115.014
    37.484   115.048
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.602   115.128
    37.590   115.124
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.507   115.048
    37.590   115.124
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.513   114.935
    37.499   114.924
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.450   115.005
    37.499   114.924
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.682   115.159
    37.677   115.153
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.682   115.222
    37.677   115.153
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.732   115.060
    37.720   115.045
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.793   115.103
    37.720   115.045
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.446   114.929
    37.436   114.918
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.478   115.098
    37.436   114.918
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.273   114.803
    37.275   114.795
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.119   114.806
    37.275   114.795
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.896   115.249
    37.899   115.240
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.840   115.230
    37.899   115.240
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.799   115.204
    37.787   115.191
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.875   115.126
    37.787   115.191
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.785   115.396
    37.768   115.375
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.831   115.501
    37.768   115.375
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.263   114.833
    37.266   114.824
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.350   114.894
    37.266   114.824
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.235   114.886
    37.232   114.886
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.391   114.904
    37.232   114.886
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.389   114.783
    37.388   114.777
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.300   114.800
    37.388   114.777
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    36.902   114.528
    36.901   114.534
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.287   114.564
    36.901   114.534
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.256   114.862
    37.258   114.858
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.100   115.300
    37.258   114.858
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.563   115.026
    37.554   115.036
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.599   115.130
    37.554   115.036
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.636   115.181
    37.639   115.176
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.600   115.100
    37.639   115.176
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.503   114.970
    37.504   114.967
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.525   114.926
    37.504   114.967
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.544   114.418
    37.536   114.412
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.307   114.509
    37.536   114.412
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.420   114.963
    37.423   114.959
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.369   114.989
    37.423   114.959
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.485   114.964
    37.485   114.963
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.579   114.859
    37.485   114.963
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.411   114.945
    37.412   114.940
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.482   114.961
    37.412   114.940
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.399   114.957
    37.402   114.955
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.355   114.948
    37.402   114.955
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.427   114.990
    37.424   114.988
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.530   114.935
    37.424   114.988
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.509   115.047
    37.511   115.044
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.527   115.005
    37.511   115.044
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.586   114.866
    37.590   114.863
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.455   115.313
    37.590   114.863
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.355   114.934
    37.355   114.929
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.346   114.812
    37.355   114.929
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.233   114.806
    37.233   114.799
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.134   114.789
    37.233   114.799
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.353   114.968
    37.355   114.964
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.282   115.078
    37.355   114.964
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.776   115.264
    37.778   115.255
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.658   115.192
    37.778   115.255
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.680   115.351
    37.685   115.347
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.733   115.200
    37.685   115.347
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.798   115.267
    37.799   115.251
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.677   115.224
    37.799   115.251
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.289   114.818
    37.288   114.808
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.191   114.873
    37.288   114.808
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.519   115.022
    37.520   115.016
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.410   115.073
    37.520   115.016
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.472   115.006
    37.473   114.997
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.074   114.938
    37.473   114.997
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.918   115.114
    37.918   115.110
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.901   115.330
    37.918   115.110
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.293   114.854
    37.292   114.853
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.400   114.767
    37.292   114.853
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.936   115.113
    37.936   115.111
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.803   115.183
    37.936   115.111
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.298   115.889
    38.301   115.887
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.317   115.900
    38.301   115.887
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.242   114.660
    37.243   114.650
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.327   114.849
    37.243   114.650
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.549   114.757
    37.550   114.755
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.105   114.787
    37.550   114.755
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.916   115.115
    37.918   115.112
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.884   115.358
    37.918   115.112
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.393   114.404
    37.391   114.398
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.337   114.569
    37.391   114.398
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    36.754   114.585
    36.754   114.584
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    36.700   114.550
    36.754   114.584
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.313   115.852
    38.319   115.845
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.340   115.900
    38.319   115.845
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.604   115.010
    37.605   115.010
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.710   115.050
    37.605   115.010
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.410   114.646
    37.413   114.641
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.364   114.640
    37.413   114.641
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.332   114.873
    37.326   114.867
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.240   114.910
    37.326   114.867
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.617   115.152
    37.619   115.150
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.597   115.223
    37.619   115.150
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.615   115.162
    37.614   115.158
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.553   114.967
    37.614   115.158
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.352   114.908
    37.352   114.905
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.282   115.104
    37.352   114.905
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.477   114.995
    37.478   114.994
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.393   115.071
    37.478   114.994
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.631   115.106
    37.635   115.100
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.563   115.275
    37.635   115.100
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.456   115.205
    37.461   115.198
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.484   115.130
    37.461   115.198
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    37.378   114.980   -73.104     4.011     5.607
    37.484   115.048   -85.708     3.753     4.555
    37.590   115.124   -81.250     3.229     4.649
    37.499   114.924    17.499     6.613     7.452
    37.677   115.153   -84.122     3.795     5.343
    37.720   115.045    89.338     6.245     8.611
    37.436   114.918   -87.584     4.154     5.758
    37.275   114.795    37.424     3.674     4.127
    37.899   115.240    40.710     5.498     7.971
    37.787   115.191    85.376     4.101     4.540
    37.768   115.375   -71.507     3.491     5.790
    37.266   114.824    38.138     3.658     8.146
    37.232   114.886     9.756     3.800     5.666
    37.388   114.777   -61.142     0.446     4.296
    36.901   114.534    18.519     3.363     5.989
    37.258   114.858   -31.435     3.200     6.496
    37.554   115.036    37.351     2.789     4.813
    37.639   115.176   -44.294     3.077     5.069
    37.504   114.967   -61.623     2.455     3.584
    37.536   114.412   -62.295     3.263     4.461
    37.423   114.959   -62.769     1.332     1.584
    37.485   114.963    66.701     2.055     2.836
    37.412   114.940   -77.096     2.441     3.570
    37.402   114.955   -64.587     1.143     1.436
    37.424   114.988    85.580     2.267     2.964
    37.511   115.044    44.258     2.355     3.198
    37.590   114.863    71.582     4.318     5.037
    37.355   114.929     7.548     2.580     3.078
    37.233   114.799   -58.417     1.269     1.863
    37.355   114.964    66.041     2.705     3.557
    37.778   115.255    19.520     3.761     6.102
    37.685   115.347    74.994     3.007     6.330
    37.799   115.251    -4.297     4.423     4.898
    37.288   114.808    -4.514     3.749     6.240
    37.520   115.016    10.579     2.135     2.968
    37.473   114.997     4.963     2.344     3.889
    37.918   115.110   -53.364     1.681     2.005
    37.292   114.853   -21.467     1.981     2.462
    37.936   115.111   -49.562     1.494     1.760
    38.301   115.887    38.264     3.416     4.216
    37.243   114.650   -52.547     2.136     2.430
    37.550   114.755   -32.486     1.862     2.368
    37.918   115.112   -61.162     1.815     2.032
    37.391   114.398    18.640     2.044     2.531
    36.754   114.584   -32.892     1.891     2.571
    38.319   115.845    18.740     2.525     4.583
    37.605   115.010    28.079     2.810     5.886
    37.413   114.641   -52.843     1.315     1.495
    37.326   114.867   -13.658     2.811     3.099
    37.619   115.150   -58.044     1.398     1.844
    37.614   115.158   -61.111     2.095     2.437
    37.352   114.905   -52.026     1.666     2.334
    37.478   114.994   -52.765     2.004     2.682
    37.635   115.100    75.245     3.372     5.062
    37.461   115.198    87.168     3.404     5.622
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    36.708   114.365    -2.388     2.519     3.731
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    36.708   114.388   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    36.708   114.365     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    36.708   114.365     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    36.663   114.365   5 km
END
