#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=ningjin1.33_dcal.ps
projection=-JM16.0c+
region=-R112.0/118.3/34.9/40.2
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration ningjin1.33' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.388   114.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    36.901   114.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    36.901   114.534
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.554   115.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.504   114.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.536   114.412
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.423   114.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.819   116.158
    37.423   114.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.423   114.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.472   115.003
    37.423   114.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    37.423   114.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.423   114.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.468   116.083
    37.423   114.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.819   116.158
    37.485   114.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.485   114.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.751   114.422
    37.485   114.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.472   115.003
    37.485   114.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.485   114.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.468   116.083
    37.485   114.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.412   114.940
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.468   116.083
    37.412   114.940
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.402   114.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.402   114.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.819   116.158
    37.402   114.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.402   114.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    37.402   114.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.402   114.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.468   116.083
    37.402   114.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.511   115.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.511   115.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.819   116.158
    37.511   115.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.511   115.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.751   114.422
    37.511   115.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    37.511   115.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.511   115.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.468   116.083
    37.511   115.044
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.590   114.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.590   114.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    37.590   114.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.590   114.863
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.355   114.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.750   114.419
    37.355   114.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.355   114.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.819   116.158
    37.355   114.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.233   114.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.355   114.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.778   115.255
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.468   116.083
    37.685   115.347
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.799   115.251
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.750   114.419
    37.288   114.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.288   114.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.710   113.673
    37.288   114.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.819   116.158
    37.288   114.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.288   114.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.288   114.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.892   114.164
    37.288   114.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.288   114.808
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.520   115.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.520   115.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.520   115.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.750   114.419
    37.520   115.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.520   115.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.473   114.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.750   114.419
    37.473   114.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.617   114.950
    37.473   114.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.473   114.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.432   114.048
    37.473   114.997
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.751   114.422
    37.918   115.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.918   115.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.918   115.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.617   114.950
    37.918   115.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.918   115.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.918   115.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.918   115.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.918   115.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.918   115.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.751   114.422
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.617   114.950
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.342   114.625
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.432   114.048
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.185   113.948
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.903   115.092
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.048   113.925
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.468   116.083
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.292   114.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.751   114.422
    37.936   115.111
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.936   115.111
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.936   115.111
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.617   114.950
    37.936   115.111
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.936   115.111
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.936   115.111
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.936   115.111
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.936   115.111
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    38.301   115.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    38.301   115.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    38.301   115.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    38.301   115.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.661   115.814
    38.301   115.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    38.301   115.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.510   114.980
    38.301   115.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    38.301   115.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.750   114.419
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.468   116.083
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.903   115.092
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.903   115.092
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.048   113.925
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.048   113.925
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.243   114.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.550   114.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.550   114.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.550   114.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.550   114.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.550   114.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.918   115.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.918   115.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.918   115.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.847   116.454
    37.918   115.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.847   116.454
    37.918   115.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.918   115.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.918   115.112
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.751   114.422
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.185   113.948
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.750   114.419
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.710   113.673
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.432   114.048
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.342   114.625
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.185   113.948
    37.391   114.398
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.617   114.950
    36.754   114.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.432   114.048
    36.754   114.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    36.754   114.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.661   114.538
    36.754   114.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.468   116.083
    36.754   114.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    36.754   114.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    38.319   115.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    38.319   115.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    38.319   115.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.367   114.694
    38.319   115.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.425   117.008
    38.319   115.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.118   114.312
    37.605   115.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.605   115.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.605   115.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.710   113.673
    37.605   115.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.432   114.048
    37.605   115.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.605   115.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.605   115.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.432   114.048
    37.605   115.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.605   115.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.358   114.093
    37.413   114.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.413   114.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.499   115.601
    37.413   114.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.000   114.310
    37.413   114.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.527   114.363
    37.413   114.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.354   114.662
    37.413   114.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.326   114.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.326   114.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.499   115.601
    37.326   114.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.000   114.310
    37.326   114.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.527   114.363
    37.326   114.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.354   114.662
    37.326   114.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.790   114.371
    37.326   114.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.744   114.422
    37.326   114.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.190   114.498
    37.326   114.867
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.358   114.093
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.499   115.601
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.000   114.310
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.030   114.553
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.527   114.363
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.354   114.662
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.790   114.371
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.744   114.422
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.190   114.498
    37.619   115.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.431   116.034
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.790   114.371
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.030   114.553
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.000   114.310
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.190   114.498
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.354   114.662
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.499   115.601
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.527   114.363
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.358   114.093
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.323   116.816
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.614   115.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.744   114.422
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.790   114.371
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.030   114.553
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.000   114.310
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.190   114.498
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.354   114.662
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.499   115.601
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.527   114.363
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.448   116.089
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.431   116.034
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.908   115.103
    37.352   114.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.744   114.422
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.790   114.371
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.030   114.553
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.000   114.310
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.190   114.498
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.354   114.662
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.499   115.601
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.358   114.093
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.527   114.363
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.864   115.063
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.431   116.034
    37.478   114.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.461   115.198
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.461   115.198
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    37.418   114.708     0.300
    37.569   113.720     0.300
    38.248   114.307     0.300
    37.819   116.158     0.300
    36.472   115.003     0.300
    36.542   113.647     0.300
    36.468   116.083     0.300
    36.751   114.422     0.300
    38.864   115.063     0.300
    36.750   114.419     0.300
    36.710   113.673     0.300
    37.969   113.568     0.300
    35.892   114.164     0.300
    36.805   114.047     0.300
    36.617   114.950     0.300
    36.432   114.048     0.300
    36.342   114.625     0.300
    36.185   113.948     0.300
    35.903   115.092     0.300
    36.048   113.925     0.300
    39.661   115.814     0.300
    39.510   114.980     0.300
    36.841   112.883     0.300
    38.847   116.454     0.300
    35.661   114.538     0.300
    39.367   114.694     0.300
    39.425   117.008     0.300
    37.118   114.312     0.300
    38.358   114.093     0.300
    38.499   115.601     0.300
    38.000   114.310     0.300
    38.527   114.363     0.300
    38.354   114.662     0.300
    37.790   114.371     0.300
    37.744   114.422     0.300
    38.190   114.498     0.300
    38.030   114.553     0.300
    36.431   116.034     0.300
    38.323   116.816     0.300
    38.448   116.089     0.300
    35.908   115.103     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.378   114.980     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.484   115.048     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.590   115.124     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.499   114.924     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.677   115.153     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.720   115.045     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.436   114.918     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.275   114.795     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.899   115.240     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.787   115.191     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.768   115.375     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.266   114.824     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.232   114.886     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.388   114.777     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    36.901   114.534     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.258   114.858     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.554   115.036     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.639   115.176     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.504   114.967     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.536   114.412     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.423   114.959     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.485   114.963     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.412   114.940     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.402   114.955     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.424   114.988     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.511   115.044     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.590   114.863     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.355   114.929     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.233   114.799     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.355   114.964     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.778   115.255     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.685   115.347     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.799   115.251     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.288   114.808     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.520   115.016     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.473   114.997     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.918   115.110     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.292   114.853     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.936   115.111     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.301   115.887     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.243   114.650     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.550   114.755     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.918   115.112     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.391   114.398     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    36.754   114.584     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.319   115.845     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.605   115.010     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.413   114.641     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.326   114.867     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.619   115.150     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.614   115.158     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.352   114.905     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.478   114.994     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.635   115.100     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.461   115.198     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    37.521   114.994     0.000   222.000   222.000
    37.521   114.994     0.000   444.000   444.000
END
