#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=ningjin1.33_epa_1.ps
projection=-JM16.0c+
region=-R111.8/118.5/34.7/40.4
gmt psbasemap $region $projection -Bxa1.0f0.1 -Bya1.0f0.1 -BWeSn+t'Empirical Path Anomalies: Pg ningjin1.33' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    37.521   114.994     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.032   108.924     0.573
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.598   110.033     0.346
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.038   116.174     0.137
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.418   114.708     0.027
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.569   113.720     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.211   117.124    -0.105
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.402   116.347    -0.063
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.551   112.468     0.251
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.713   112.434     0.170
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.248   114.307    -0.021
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.819   116.158     0.158
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.472   115.003     0.095
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.542   113.647    -0.121
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.468   116.083     0.019
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.052   118.854     0.118
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.441   115.523    -0.074
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.751   114.422     0.007
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.853   118.048     0.133
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.864   115.063    -0.021
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.084   111.370     0.191
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.758   119.093    -0.289
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.299   109.688     0.346
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.750   114.419    -0.052
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.826   114.899     0.087
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.829   119.877     0.383
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.300   108.081    -0.119
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.710   113.673    -0.113
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.969   113.568     0.005
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.641   119.243     0.167
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.805   114.047    -0.050
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.617   114.950     0.116
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.432   114.048     0.022
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.185   113.948     0.004
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.383   114.024     0.236
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.427   113.003     0.189
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.052   113.054     0.246
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.638   117.038     0.006
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.807   116.080     0.012
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.889   117.354     0.061
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.268   115.467     0.097
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.200   116.817    -0.017
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.850   116.567    -0.043
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.342   114.625     0.141
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.220   113.196     0.110
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.661   114.538    -0.034
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.903   115.092    -0.069
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.048   113.925     0.054
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.493   113.780     0.172
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.382   117.023    -0.047
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.511   117.817    -0.233
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.359   116.493     0.119
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.157   115.133    -0.101
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.661   115.814    -0.035
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.510   114.980     0.067
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.829   114.900    -0.067
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.375   117.738    -0.080
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.575   120.487     0.058
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.847   116.454     0.194
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.941   116.861     0.154
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.525   117.983     0.193
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.125   114.140    -0.367
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.367   114.694     0.243
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.102   116.082    -0.092
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.358   114.093     0.190
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.499   115.601     0.073
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.000   114.310     0.130
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.527   114.363     0.096
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.354   114.662     0.077
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.430   113.017    -0.076
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.906   121.628     0.062
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.790   114.371    -0.169
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.744   114.422    -0.049
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.190   114.498    -0.228
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.778   117.105    -0.026
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.383   114.024     0.232
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.030   114.553     0.050
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.770   116.853     0.104
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.246   115.434    -0.039
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.323   116.816     0.235
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    34.032   108.924   XAN  
    40.598   110.033   BTO  
    40.038   116.174   BJI  
    37.418   114.708   HNS  
    37.569   113.720   Xiy  
    36.211   117.124   TIA  
    35.402   116.347   Jxgs 
    34.551   112.468   LYN  
    37.713   112.434   TIY  
    38.248   114.307   HbzB 
    37.819   116.158   Fuch 
    36.472   115.003   Gpg  
    36.542   113.647   Shex 
    36.468   116.083   Lcg  
    32.052   118.854   NJ2  
    40.441   115.523   Sach 
    36.751   114.422   YnH  
    34.853   118.048   CSN  
    38.864   115.063   Wax  
    36.084   111.370   LNF1 
    39.758   119.093   CLI1 
    38.299   109.688   YUN  
    36.750   114.419   YnHD 
    40.826   114.899   ZJK  
    40.829   119.877   JIA  
    41.300   108.081   WJH  
    36.710   113.673   SeHD 
    37.969   113.568   Yqn  
    34.641   119.243   LYG  
    36.805   114.047   Wuan 
    36.617   114.950   Fxg  
    36.432   114.048   Cixn 
    36.185   113.948   HshB 
    39.383   114.024   Liq  
    38.427   113.003   Dxg  
    39.052   113.054   Daix 
    36.638   117.038   Jin  
    35.807   116.080   Lias 
    34.889   117.354   Tzg  
    35.268   115.467   Hze  
    35.200   116.817   Gli  
    35.850   116.567   Cais 
    36.342   114.625   Linz 
    36.220   113.196   Chaz 
    35.661   114.538   Xunx 
    35.903   115.092   Qfn  
    36.048   113.925   Linx 
    35.493   113.780   Hxn  
    35.382   117.023   Zox  
    36.511   117.817   Psh  
    33.359   116.493   MCG  
    40.157   115.133   ZluB 
    39.661   115.814   Shfs 
    39.510   114.980   LynB 
    40.829   114.900   ZjkB 
    39.375   117.738   Lti  
    41.575   120.487   CHY1 
    38.847   116.454   WanB 
    38.941   116.861   Jhi  
    35.525   117.983   Feix 
    40.125   114.140   Yany 
    39.367   114.694   Layd 
    40.102   116.082   BJI2 
    38.358   114.093   Gnd  
    38.499   115.601   Xxd  
    38.000   114.310   Lqd  
    38.527   114.363   Xtd  
    38.354   114.662   Xled 
    38.430   113.017   TYA  
    38.906   121.628   DL2  
    37.790   114.371   Yshd 
    37.744   114.422   Zhhd 
    38.190   114.498   Zdn  
    38.778   117.105   Cgz  
    39.383   114.024   Lqu  
    38.030   114.553   Tgud 
    38.770   116.853   Wank 
    35.246   115.434   Heze 
    38.323   116.816   Chzd 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    35.214   112.010   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
    34.954   112.196    -0.500
    34.954   112.462    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
    34.954   112.690     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
    34.954   112.956     0.250
    34.954   113.222     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
    35.088   112.010   Station Residuals (sec.)
    34.754   112.076   -2
    34.754   112.356   -1
    34.754   112.656   0
    34.754   112.846   +1
    34.754   113.116   +2
END
