#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=ningjin1.33_rdp_017.ps
projection=-JX18/12
region=-R1/34/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases ningjin1.33 Event 017' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.337     1.000
     1.885     2.000
     1.433     3.000
     0.981     4.000
     0.529     5.000
     0.077     6.000
     0.375     7.000
     0.129     8.000
     0.204     9.000
     0.537    10.000
     0.869    11.000
     1.202    12.000
     1.535    13.000
     1.868    14.000
     2.201    15.000
     2.536    16.000
     2.868    17.000
     3.201    18.000
     3.534    19.000
     3.867    20.000
     4.161    21.000
     4.455    22.000
     4.749    23.000
     5.043    24.000
     5.337    25.000
     5.631    26.000
     5.926    27.000
     6.220    28.000
     6.513    29.000
     6.807    30.000
     7.101    31.000
     7.395    32.000
     7.689    33.000
     7.983    34.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.337     1.000
     1.885     2.000
     1.433     3.000
     0.981     4.000
     0.529     5.000
     0.077     6.000
     0.375     7.000
     0.129     8.000
     0.204     9.000
     0.537    10.000
     0.869    11.000
     1.202    12.000
     1.535    13.000
     1.868    14.000
     2.201    15.000
     2.536    16.000
     2.868    17.000
     3.201    18.000
     3.534    19.000
     3.867    20.000
     4.161    21.000
     4.455    22.000
     4.749    23.000
     5.043    24.000
     5.337    25.000
     5.631    26.000
     5.926    27.000
     6.220    28.000
     6.513    29.000
     6.807    30.000
     7.101    31.000
     7.395    32.000
     7.689    33.000
     7.983    34.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.817     6.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.717     6.000
     3.717     6.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.717     6.000
     3.717    10.000
     1.717    10.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.717     6.000
     3.717     2.000
     1.717     2.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     1.717     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.717     2.000
     1.717    14.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     1.717     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    14.000
     1.717    14.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 19740606.1230.56
     9.680     2.000 Depth of minimum misfit =   6 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
